Subject: Re: NNCP proxy for Internet mail providers?

From: John Goerzen <[email-masked]>
Date: Tue, 26 Oct 2021 21:18:47 -0500

On Tue, Oct 26 2021, [email-masked] wrote:

> Would anyone be interested in a daemon or set of daemons that 
> sat
> between a "normal" IMAP4+SMTP-submission remote access mail host 
> and a
> local sendmail/nncp/postfix setup?  I figure this use case is 
> what's

That's a nice idea!

So the idea is you have some Internet host -- maybe a cheap VPS or 
something -- that can download mail from the real provider, then 
gate it to NNCP?

I suspect you could make this work pretty easily with fetchmail 
(particularly with the --bsmtp command, for instance).  My Exim 
example at http://www.nncpgo.org/Exim.html illustrates using bsmtp 
over NNCP.  It could use --mda instead also.

- John